#-*- coding: utf-8 -*-

# Copyright 2008-2010 Mir Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

from cl_ldap_api import __version__, __app__

class Data:
    #базовый суффикс LDAP
    ld_base_dn = {}

    #bind суффикс LDAP
    ld_bind_dn = {}

    #пользователь только для чтения
    ld_bind_login = {}

    #hash пароля для пользователя для чтения
    ld_bind_hash = {}

    #пароль для пользователя для чтения
    ld_bind_pw = {}

    #алгоритм шифрования паролей
    ld_encrypt = {}

    #имя для базового суффикса LDAP
    ld_base_root = {}

    #временный пользователь root для инициализации базы данных
    ld_temp_dn = {}

    #hash пароля временного root
    ld_temp_hash = {}

    #пароль временного пользователя root
    ld_temp_pw = {}

    #DN пользователя root
    ld_admin_dn = {}

    #имя пользователя root для LDAP
    ld_admin_login = {}

    #hash пароля root
    ld_admin_hash = {}

    #пароль root
    ld_admin_pw = {}

    #Имя для всех сервисов
    ld_services= {}

    #DN всех сервисов
    ld_services_dn =  {}

    #Настроен или нет сервис LDAP
    sr_ldap_set = {'mode':"w",'value':'off'}

    # имя программы
    cl_name = {'value':__app__}

    # версия программы
    cl_ver = {'value':__version__}

    # действие программа устанавливает сервис
    ac_ldap_setup = {'value':'down'}

    # действие программа обновляет конфигурационные файлы
    ac_ldap_update = {'value':'down'}

    # include строки в slapd.conf
    ld_ldap_scheme_conf = {'value':\
        "include\t\t/etc/openldap/schema/core.schema\n"\
        "include\t\t/etc/openldap/schema/cosine.schema\n"\
        "include\t\t/etc/openldap/schema/nis.schema\n"\
        "include\t\t/etc/openldap/schema/inetorgperson.schema\n"\
        "include\t\t/etc/openldap/schema/misc.schema"}

    # строки доступа к аттрибуту userPassword в slapd.conf
    ld_ldap_access_pw_conf = {}

    # строки доступа к LDAP DN сервиса в slapd.conf
    ld_ldap_access_dn_conf = {}

    ld_repl_set = {'value':'off'}

    ld_repl_id = {}

    ld_repl_servers_info = {}

    ld_repl_servers_ref = {}

    # lib vars
    cl_pass_step = {}
    cl_api = {}
    cl_env_path = {}
